﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;
using Infragistics.UltraChart.Core.Layers;
using Infragistics.UltraChart.Shared.Events;
using System.Diagnostics;
using Infragistics.Win.UltraWinTree;
using Infragistics.UltraChart.Core.Primitives;

namespace CompositeChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ultraTree1.Nodes.Add("0", "Series 2007");
            ultraTree1.Nodes["0"].CheckedState = CheckState.Checked;
            ultraTree1.Nodes.Add("1", "Series 2008");
            ultraTree1.Nodes["1"].CheckedState = CheckState.Checked;
            ultraTree1.Nodes.Add("2", "Series 2009");
            ultraTree1.Nodes["2"].CheckedState = CheckState.Checked;
            ultraTree1.Nodes.Add("3", "Series 2010");
            ultraTree1.Nodes["3"].CheckedState = CheckState.Checked;
            ultraTree1.Nodes.Add("4", "Series 2011");
            ultraTree1.Nodes["4"].CheckedState = CheckState.Checked;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraChart1.ChartType = ChartType.LineChart;

            DataTable dt = new DataTable();
            dt.Columns.Add("Month", typeof(string));
            dt.Columns.Add("2007", typeof(decimal));
            dt.Columns.Add("2008", typeof(decimal));
            dt.Columns.Add("2009", typeof(decimal));
            dt.Columns.Add("2010", typeof(decimal));
            dt.Columns.Add("2011", typeof(decimal));

            dt.Rows.Add("Jan", 35, 10, 40, 30, 45);
            dt.Rows.Add("Jan", 25, 15, 42, 35, 40);
            dt.Rows.Add("Jan", 35, 12, 44, 32, 48);
            dt.Rows.Add("Jan", 35, 8, 40, 38, 42);
            dt.Rows.Add("Feb", 2, 15, 55, 35, 80);
            dt.Rows.Add("Feb", 3, 35, 45, 45, 85);
            dt.Rows.Add("Feb", 4, 15, 55, 35, 80);
            dt.Rows.Add("Feb", 2, 25, 55, 45, 85);
            dt.Rows.Add("Mar", 5, 35, 25, 50, 90);
            dt.Rows.Add("Mar", 5, 35, 25, 50, 90);
            dt.Rows.Add("Mar", 5, 35, 25, 50, 90);
            dt.Rows.Add("Mar", 5, 35, 25, 50, 90);
            dt.Rows.Add("Apr", 2, 60, 35, 70, 80);
            dt.Rows.Add("Apr", 2, 60, 35, 70, 80);
            dt.Rows.Add("Apr", 2, 60, 35, 70, 80);
            dt.Rows.Add("Apr", 2, 60, 35, 70, 80);
            dt.Rows.Add("May", 7, 55, 45, 80, 35);
            dt.Rows.Add("May", 7, 55, 45, 80, 35);
            dt.Rows.Add("May", 7, 55, 45, 80, 35);
            dt.Rows.Add("May", 7, 55, 45, 80, 35);
            dt.Rows.Add("Jun", 85, 45, 40, 75, 30);
            dt.Rows.Add("Jun", 85, 45, 40, 75, 30);
            dt.Rows.Add("Jun", 85, 45, 40, 75, 30);
            dt.Rows.Add("Jun", 85, 45, 40, 75, 30);

            ultraChart1.DataSource = dt;
            ultraChart1.Data.SwapRowsAndColumns = true;
            ultraChart1.DataBind();



        }

        private void ultraTree1_AfterCheck(object sender, Infragistics.Win.UltraWinTree.NodeEventArgs e)
        {
            ultraChart1.InvalidateLayers();
        }

        private void ultraChart1_FillSceneGraph(object sender, FillSceneGraphEventArgs e)
        {
            foreach (Primitive pr in e.SceneGraph)
            {
                if (pr.GetType() == typeof(Polyline) && pr != null)
                {
                    switch (pr.Column.ToString())
                    {
                        case "0":
                            if (ultraTree1.Nodes[0].CheckedState == CheckState.Checked) pr.Visible = true;
                            else pr.Visible = false;
                            break;
                        case "1":
                            if (ultraTree1.Nodes[1].CheckedState == CheckState.Checked) pr.Visible = true;
                            else pr.Visible = false;
                            break;
                        case "2":
                            if (ultraTree1.Nodes[2].CheckedState == CheckState.Checked) pr.Visible = true;
                            else pr.Visible = false;
                            break;
                        case "3":
                            if (ultraTree1.Nodes[3].CheckedState == CheckState.Checked) pr.Visible = true;
                            else pr.Visible = false;
                            break;
                        case "4":
                            if (ultraTree1.Nodes[4].CheckedState == CheckState.Checked) pr.Visible = true;
                            else pr.Visible = false;
                            break;
                    }
                }
            }
        }
    }
}